Bug 1388165 - [abrt] midori: WebCore::pruneUnreferencedEntriesFromFontGlyphsCache(): midori killed by SIGSEGV
Summary: [abrt] midori: WebCore::pruneUnreferencedEntriesFromFontGlyphsCache(): midori...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 25
Hardware: aarch64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d5f710385f5955404714e8c5e93...
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2016-10-24 15:48 UTC by Jeremy Linton
Modified: 2017-12-12 10:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:49:37 UTC


Attachments (Terms of Use)
File: backtrace (119.35 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: cgroup (369 bytes, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: core_backtrace (39.20 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: dso_list (15.35 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: environ (2.91 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: exploitable (82 bytes, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: maps (62.84 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: mountinfo (3.52 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: open_fds (3.52 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: proc_pid_status (1.07 KB, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details
File: var_log_messages (289 bytes, text/plain)
2016-10-24 15:48 UTC, Jeremy Linton
no flags Details

Description Jeremy Linton 2016-10-24 15:48:09 UTC
Description of problem:
I'm not really sure the exact sequence required for the crash. A rough seqeuence I followed was putting google in the duck duck go search box, clicking google, putting fedora in the google search box, opening anohter tab.
It seems to be more related to how long its running. Although, once I started qupzilla and that appeared to cause midori to crash???

I happens pretty regularly on my machine, so it is fairly reproducable (juno dev machine with a HD5450 video card).

Version-Release number of selected component:
midori-0.5.11-2.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        midori
crash_function: WebCore::pruneUnreferencedEntriesFromFontGlyphsCache
executable:     /usr/bin/midori
global_pid:     5663
kernel:         4.8.1-1.fc25.aarch64
pkg_fingerprint: 1A18 5CDD E372 E838
pkg_vendor:     Fedora Project
runlevel:       N 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 WebCore::pruneUnreferencedEntriesFromFontGlyphsCache at Source/WebCore/platform/graphics/Font.cpp:287
 #1 WebCore::retrieveOrAddCachedFontGlyphs at Source/WebCore/platform/graphics/Font.cpp:313
 #2 WebCore::Font::update at Source/WebCore/platform/graphics/Font.cpp:322
 #3 WebCore::Style::resolveForDocument at Source/WebCore/style/StyleResolveForDocument.cpp:138
 #4 WebCore::Style::resolveTree at Source/WebCore/style/StyleResolveTree.cpp:884
 #5 WebCore::Document::recalcStyle at Source/WebCore/dom/Document.cpp:1752
 #6 WebCore::Document::createRenderTree at Source/WebCore/dom/Document.cpp:1966
 #7 WebCore::Document::didBecomeCurrentDocumentInFrame at Source/WebCore/dom/Document.cpp:1987
 #8 WebCore::Frame::setDocument at Source/WebCore/page/Frame.cpp:310
 #9 WebCore::DocumentWriter::begin at Source/WebCore/loader/DocumentWriter.cpp:149

Comment 1 Jeremy Linton 2016-10-24 15:48:13 UTC
Created attachment 1213509 [details]
File: backtrace

Comment 2 Jeremy Linton 2016-10-24 15:48:14 UTC
Created attachment 1213510 [details]
File: cgroup

Comment 3 Jeremy Linton 2016-10-24 15:48:15 UTC
Created attachment 1213511 [details]
File: core_backtrace

Comment 4 Jeremy Linton 2016-10-24 15:48:16 UTC
Created attachment 1213512 [details]
File: dso_list

Comment 5 Jeremy Linton 2016-10-24 15:48:17 UTC
Created attachment 1213513 [details]
File: environ

Comment 6 Jeremy Linton 2016-10-24 15:48:18 UTC
Created attachment 1213514 [details]
File: exploitable

Comment 7 Jeremy Linton 2016-10-24 15:48:19 UTC
Created attachment 1213515 [details]
File: limits

Comment 8 Jeremy Linton 2016-10-24 15:48:20 UTC
Created attachment 1213516 [details]
File: maps

Comment 9 Jeremy Linton 2016-10-24 15:48:21 UTC
Created attachment 1213517 [details]
File: mountinfo

Comment 10 Jeremy Linton 2016-10-24 15:48:21 UTC
Created attachment 1213518 [details]
File: namespaces

Comment 11 Jeremy Linton 2016-10-24 15:48:22 UTC
Created attachment 1213519 [details]
File: open_fds

Comment 12 Jeremy Linton 2016-10-24 15:48:23 UTC
Created attachment 1213520 [details]
File: proc_pid_status

Comment 13 Jeremy Linton 2016-10-24 15:48:24 UTC
Created attachment 1213521 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 15:00:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:49:37 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.